Package oasis.names.tc.dss._1_0.core.schema

# Class InlineXMLType

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.InlineXMLType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class InlineXMLType extends Object implements Serializable

Java class for InlineXMLType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InlineXMLType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any processContents='lax'/>
           </sequence>
           <attribute name="ignorePIs" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="ignoreComments" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineXMLType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element`
  `getAny()`
  Gets the value of the any property.
  `boolean`
  `isIgnoreComments()`
  Gets the value of the ignoreComments property.
  `boolean`
  `isIgnorePIs()`
  Gets the value of the ignorePIs property.
  `void`
  `setAny(Element value)`
  Sets the value of the any property.
  `void`
  `setIgnoreComments(Boolean value)`
  Sets the value of the ignoreComments property.
  `void`
  `setIgnorePIs(Boolean value)`
  Sets the value of the ignorePIs property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InlineXMLType

    public InlineXMLType()

- ## Method Details

  - ### getAny

    public Element getAny()
    Gets the value of the any property.
    Returns:
      possible object is `Element`

  - ### setAny

    public void setAny(Element value)
    Sets the value of the any property.
    Parameters:
      `value` - allowed object is `Element`

  - ### isIgnorePIs

    public boolean isIgnorePIs()
    Gets the value of the ignorePIs property.
    Returns:
      possible object is `Boolean`

  - ### setIgnorePIs

    public void setIgnorePIs(Boolean value)
    Sets the value of the ignorePIs property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isIgnoreComments

    public boolean isIgnoreComments()
    Gets the value of the ignoreComments property.
    Returns:
      possible object is `Boolean`

  - ### setIgnoreComments

    public void setIgnoreComments(Boolean value)
    Sets the value of the ignoreComments property.
    Parameters:
      `value` - allowed object is `Boolean`